> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Average Balances



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{id}/average_balance
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{id}/average_balance:
    get:
      tags:
        - Account
      summary: List Average Balances
      parameters:
        - description: Account ID
          in: path
          name: id
          required: true
          schema:
            description: Account ID
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - average_balance: '253361.00'
                        month: 2024-05
                      - average_balance: '255281.00'
                        month: 2024-04
              schema:
                properties:
                  data:
                    items:
                      properties:
                        average_balance:
                          description: Average available account balance for the month
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        average_current_balance:
                          description: Average current account balance for the month
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        month:
                          description: Month for this average, ISO 8601 format ('YYYY-MM')
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` average_balance elements, starting after the
            average_balance described by `page_cursor`. If no more
            average_balances are available, the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````